<?php
//include_once "/init.php";
//include_once "visitor-reports-function.php";
/**
 * PHPExcel
 *
 * Copyright (C) 2006 - 2014 PHPExcel
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * @category   PHPExcel
 * @package    PHPExcel
 * @copyright  Copyright (c) 2006 - 2014 PHPExcel (http://www.codeplex.com/PHPExcel)
 * @license    http://www.gnu.org/licenses/old-licenses/lgpl-2.1.txt	LGPL
 * @version    ##VERSION##, ##DATE##
 */

/** Error reporting */

if (PHP_SAPI == 'cli')
	die('This page should only be run from a Web Browser');

/** Include PHPExcel */
require_once dirname(__FILE__) . '/../adm1n/php-excell/Classes/PHPExcel.php';
include_once ("init.php");
include_once ("visitor-reports-function.php");

// Create new PHPExcel object
$objPHPExcel = new PHPExcel();

// Set document properties
$objPHPExcel->getProperties()->setCreator("Trade Expo Indonesia")
							 ->setLastModifiedBy("Trade Expo Indonesia")
							 ->setTitle("Trade Expo Indonesia Rekap Buyer Online 2020")
							 ->setSubject("TEI 2020 - Rekap Visitor Online")
							 ->setDescription("Rekap Visitor yang Registrasi Online untuk TEI-VE 2020")
							 ->setKeywords("Trade Expo Indonesia 2020")
							 ->setCategory("Trade Expo Indonesia");
// Add some data
$objPHPExcel->setActiveSheetIndex(0)
            ->setCellValue('A1', 'No.')
            ->setCellValue('B1', 'Negara')
            ->setCellValue('C1', 'Registered')
            ->setCellValue('D1', 'Verified');
$objPHPExcel->getActiveSheet()->getStyle("A1:D1")->getFont()->setBold( true );

$rekapVisitor = getVisitorData($conn2, $thisPage);

$objPHPExcel->setActiveSheetIndex(0)
            ->setCellValue('A2', '#')
            ->setCellValue('B2', 'Total')
            ->setCellValue('C2', $rekapVisitor[1])
            ->setCellValue('D2', $rekapVisitor[2]);
$objPHPExcel->getActiveSheet()->getStyle("A2:D2")->getFont()->setBold( true );

$counter = 2;
foreach ($rekapVisitor[0] as $key => $value){
	$counter++;
	$objPHPExcel->setActiveSheetIndex(0)
				->setCellValue("A$counter", $counter-2)
				->setCellValue("B$counter", $key)
				->setCellValue("C$counter", $value["total"])
				->setCellValue("D$counter", $value["total2"]);
}

// Rename worksheet
$objPHPExcel->getActiveSheet()->setTitle('Rekap Visitor Registrasi Online');

// Set active sheet index to the first sheet, so Excel opens this as the first sheet
$objPHPExcel->setActiveSheetIndex(0);
$fileName = "rekap_visitor_online_".date("m.d.y").".xlsx";

// Redirect output to a client’s web browser (Excel2007)
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename="'.$fileName.'"');
header('Cache-Control: max-age=0');
// If you're serving to IE 9, then the following may be needed
header('Cache-Control: max-age=1');

// If you're serving to IE over SSL, then the following may be needed
header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
header ('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT'); // always modified
header ('Cache-Control: cache, must-revalidate'); // HTTP/1.1
header ('Pragma: public'); // HTTP/1.0

$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
ob_end_clean();
ob_start();
$objWriter->save('php://output');
exit;
?>